<?php

include_once __DIR__ . '/../../../main.php';       # 导入game utils
include_once __DIR__ . '/../Mo/payResp.php';          # 导入通用返回值结构
require_once 'config.huawei.php';                  # 配置文件, Ps. 里面用到了object

use loyalsoft\CLog;
use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;

//HttpUtil::PostOnly();                            # 要求客户端必须以post方式提交数据



/** 客户端需要传的参数

 */
try {
    $str = HttpUtil::getQueryString();
    //    $str = gzinflate($str);
    $params = JsonUtil::decode($str);                                           # 提取参数
    $ret = array('result' => true, 'msg' => '直接通过');                         # 华为联运才需要
    echo payResp::ok($ret);
} catch (Exception $ex) {
    echo payResp::err($ex->getCode(), $ex->getMessage());                          # 返回异常信息
}



